gtkmm: Gtk::CellRendererSpinner Class Reference

Public Member Functions | Related Functions

# Gtk::CellRendererSpinner Class Reference
[TreeView Classes]

Renders a spinning animation in a cell. More...

Inheritance diagram for Gtk::CellRendererSpinner:
[legend]
Collaboration diagram for Gtk::CellRendererSpinner:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererSpinner ()
GtkCellRendererSpinner* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererSpinner* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererSpinner ()
Glib::PropertyProxy< bool > | property_active ()
| Whether the spinner is active (ie.
Glib::PropertyProxy_ReadOnly < bool > | property_active () const
| Whether the spinner is active (ie.
Glib::PropertyProxy< guint > | property_pulse ()
| Pulse of the spinner.
Glib::PropertyProxy_ReadOnly < guint > | property_pulse () const
| Pulse of the spinner.
Glib::PropertyProxy < Gtk::IconSize > | property_size ()
| The GtkIconSize value that specifies the size of the rendered spinner.
Glib::PropertyProxy_ReadOnly < Gtk::IconSize > | property_size () const
| The GtkIconSize value that specifies the size of the rendered spinner.
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererSpinner* | wrap (GtkCellRendererSpinner* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Renders a spinning animation in a cell.

A CellRendererSpinner can be used as an alternative to CellRendererProgress for displaying indefinite activity, instead of actual progress.

To start the animation in a cell, set the active property to true and increment the pulse property at regular intervals.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererSpinner::~CellRendererSpinner | ( | ) | `[virtual]`

Gtk::CellRendererSpinner::CellRendererSpinner | ( | ) |

## Member Function Documentation

GtkCellRendererSpinner* Gtk::CellRendererSpinner::gobj | ( | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererSpinner* Gtk::CellRendererSpinner::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererSpinner::property_active | ( | ) | const

Whether the spinner is active (ie.

shown) in the cell.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererSpinner::property_active | ( | ) |

Whether the spinner is active (ie.

shown) in the cell.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererSpinner::property_pulse | ( | ) |

Pulse of the spinner.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererSpinner::property_pulse | ( | ) | const

Pulse of the spinner.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::IconSize> Gtk::CellRendererSpinner::property_size | ( | ) | const

The GtkIconSize value that specifies the size of the rendered spinner.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::IconSize> Gtk::CellRendererSpinner::property_size | ( | ) |

The GtkIconSize value that specifies the size of the rendered spinner.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererSpinner* wrap | ( | GtkCellRendererSpinner * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrendererspinner.h